com.dlsc.flexgantt.swing.layer.system

## Class SelectionLayer

- java.lang.Object
- - com.dlsc.flexgantt.swing.layer.AbstractLayer
  - - com.dlsc.flexgantt.swing.layer.system.AbstractSystemLayer
    - - com.dlsc.flexgantt.swing.layer.system.SelectionLayer

-     public class SelectionLayer
      extends AbstractSystemLayer

  The selection layer is responsible for drawing the time span selections made on each row.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    `ILayerContainerSelectionModel.getSelectedTimeSpans(Object, ITimeSpan)`

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.layer.AbstractLayer

      `alpha, changeSupport, ganttChart, layerContainer, PROPERTY_ALPHA, PROPERTY_VISIBLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectionLayer(LayerContainer lc)` Constructs a new selection layer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Paint` | `getSelectionPaint()` Returns the selection color used for filling selected time spans.
    `boolean` | `isVisible()` Determines whether the layer is currently visible or not.
    `protected void` | `paintLayer(Graphics g)`
    `void` | `setSelectionPaint(Paint paint)` Changes the selection paint used for filling selected time spans.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.layer.AbstractLayer

      `addPropertyChangeListener, getAlpha, getDateline, getEventline, getGanttChart, getHeight, getLayerContainer, getLayerPolicyProvider, getModel, getName, getStartRow, getTimeAt, getTimeline, getTimeLocation, getTimeSpanUsed, getToolTipText, getTreeTable, getTreeTablePolicyProvider, getWidth, removePropertyChangeListener, repaint, repaint, repaint, setAlpha, setVisible, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectionLayer

          public SelectionLayer(LayerContainer lc)

      Constructs a new selection layer.
      Parameters:
        `lc` - the parent layer container
      Since:
        1.0

  - ### Method Detail

    - #### isVisible

          public boolean isVisible()

      Description copied from class: `AbstractLayer`
      Determines whether the layer is currently visible or not.
      Overrides:
        `isVisible` in class `AbstractLayer`
      Returns:
        TRUE if the layer is currently visible
      See Also:
        `AbstractLayer.setVisible(boolean)`

    - #### paintLayer

          protected void paintLayer(Graphics g)

      Overrides:
        `paintLayer` in class `AbstractLayer`

    - #### getSelectionPaint

          public Paint getSelectionPaint()

      Returns the selection color used for filling selected time spans.
      Returns:
        the time span selection color
      Since:
        1.0
      See Also:
        `setSelectionPaint(Paint)`

    - #### setSelectionPaint

          public void setSelectionPaint(Paint paint)

      Changes the selection paint used for filling selected time spans.
      Parameters:
        `paint` - the new selection paint
      Since:
        1.0
      See Also:
        `getSelectionPaint()`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.